# Ember-audio

[![Build Status](https://travis-ci.org/sethbrasile/ember-audio.svg?branch=master)](https://travis-ci.org/sethbrasile/ember-audio) [![Code Climate](https://codeclimate.com/github/sethbrasile/ember-audio/badges/gpa.svg)](https://codeclimate.com/github/sethbrasile/ember-audio) [![Dependencies](https://david-dm.org/sethbrasile/ember-audio.svg)](https://david-dm.org/sethbrasile/ember-audio) [![Issue Count](https://codeclimate.com/github/sethbrasile/ember-audio/badges/issue_count.svg)](https://codeclimate.com/github/sethbrasile/ember-audio)

#### Need your help!
Ember Audio is currently in `alpha` and I'm still feeling out how the API for
this would be best designed, so please give me feedback/suggestions if you have
any. Pull requests and issues are welcome. You can also contact me on the Ember
community slack: `@sethbrasile`.

#### Installation
`ember install ember-audio`

#### [Interactive Demo/Documentation](http://sethbrasile.github.io/ember-audio)

Ember Audio provides an `audio` service and various classes/mixins that make
working with the Web Audio API super EZ.

Ember Audio aims to simplify sampling, triggering, routing, scheduling,
synthesizing, soundfonts, and working with audio in-general.

**Note**: Ember Audio will probably not fully respect semver until it is out of
alpha!

**Note**: Your target browsers must be modern!: http://caniuse.com/#feat=audio-api

# Contributing

## Installation

* `git clone` this repository
* `npm install`
* `bower install`

## Running

* `ember serve`
* Visit your app at http://localhost:4200/ember-audio/.

## Running Tests

* `npm test` (Runs `ember try:testall` to test your addon against multiple Ember versions)
* `ember test`
* `ember test --server`

## Building

* `ember build`

## Building yuidoc Documentation

* `ember ember-cli-yuidoc`

For more information on using ember-cli, visit [http://ember-cli.com/](http://ember-cli.com/).
